You are not logged in.

#1 2015-10-25 10:36:08

kalimerox
Member
Registered: 2015-10-02
Posts: 19

installing pd-extended in bunsen labs fails

I wanted to install pd-extended via the way described here

http://puredata.info/docs/faq/debian

but when i put

sudo add-apt-repository "deb http://apt.puredata.info/releases `lsb_release -c | awk '{print $2}'` main"

I get

Traceback (most recent call last):
  File "/usr/bin/add-apt-repository", line 167, in <module>
    sp = SoftwareProperties(options=options)
  File "/usr/lib/python3/dist-packages/softwareproperties/SoftwareProperties.py", line 105, in __init__
    self.reload_sourceslist()
  File "/usr/lib/python3/dist-packages/softwareproperties/SoftwareProperties.py", line 595, in reload_sourceslist
    self.distro.get_sources(self.sourceslist)   
  File "/usr/lib/python3/dist-packages/aptsources/distro.py", line 89, in get_sources
    (self.id, self.codename))
aptsources.distro.NoDistroTemplateException: Error: could not find a distribution template for BunsenLabs/Hydrogen

is this a specific problem from pd-extended, not having a template for the distro? or something else? thanks! smile

Offline

#2 2015-10-25 10:48:09

damo
....moderator....
Registered: 2015-08-20
Posts: 6,732

Re: installing pd-extended in bunsen labs fails

Is there are particular reason for adding an external repository, when all those packages appear to be in the Stable repos already?

You should be able to apt-get them directly from Debian.


Be Excellent to Each Other...
The Bunsenlabs Lithium Desktop » Here
FORUM RULES and posting guidelines «» Help page for forum post formatting
Artwork on DeviantArt  «» BunsenLabs on DeviantArt

Offline

#3 2015-10-25 10:51:54

kalimerox
Member
Registered: 2015-10-02
Posts: 19

Re: installing pd-extended in bunsen labs fails

I cant find pd-extended, the extended version of pure data , in the repos.. just the "vanilla" pure data and the extras.. therefore i thought i have to add an external repo.. but maybe there s also just a .deb of pd-extended somewhere.?

Offline

#4 2015-10-25 11:15:56

kalimerox
Member
Registered: 2015-10-02
Posts: 19

Re: installing pd-extended in bunsen labs fails

Ok i think that worked, I added

# Debian/wheezy
 deb http://apt.puredata.info/releases wheezy main

to the sources.list and installed without problems.. hope this is a correct way to do it without breaking anything? the repo of puredate just includes the pd-extended and tkdnd

Offline

#5 2015-10-25 11:17:29

nobody0
Disabled account
Registered: 2015-09-29
Posts: 664

Re: installing pd-extended in bunsen labs fails

# apt-get install software-properties-common

https://packages.debian.org/search?suit … repository

Offline

#6 2015-10-25 11:32:43

pvsage
Internal Affairs
Registered: 2015-09-29
Posts: 1,433

Re: installing pd-extended in bunsen labs fails

kalimerox wrote:

I wanted to install pd-extended via the way described here

http://puredata.info/docs/faq/debian

Far be it from me to disparage old software and/or hardware, but the most recent Debian release mentioned on that page is (EDIT2: I see the most recent release listed on that site is actually Wheezy/Oldstable).  Is there any way to do what you want with more recent software?  EDIT:  Unless you're comfortable wit Debian's "sloppy" backports from older releases, you probably want something built for Jessie.

EDIT3: There's a good chance the functionality you're looking for has been folded into either puredata, puredata-core, puredata-extra, or one or more of their recommends.  Perhaps try installing from the Debian repos and see if everything just works?

Last edited by pvsage (2015-10-25 11:50:42)


Be excellent to each other, and...party on, dudes!
BunsenLabs Forum Rules
Tending and defending the Flame since 2009

Offline

#7 2015-10-25 12:29:16

kalimerox
Member
Registered: 2015-10-02
Posts: 19

Re: installing pd-extended in bunsen labs fails

@ pvsage true, it s quite outdated.. just installed the pd-extended old stable but it seems to be buggy.. i try your suggestion and just install vallia puredata with the extra libraries, hope this will be more stable... also see they have a problem porting everything to 64bit.. so the best would be getting a recent 32bit version to run on my 64bit machine?  Thanks!

Offline

#8 2015-10-25 13:53:21

twoion
一期一会
Registered: 2015-08-10
Posts: 3,399

Re: installing pd-extended in bunsen labs fails

kalimerox wrote:

I wanted to install pd-extended via the way described here

http://puredata.info/docs/faq/debian

but when i put

sudo add-apt-repository "deb http://apt.puredata.info/releases `lsb_release -c | awk '{print $2}'` main"

I get

Traceback (most recent call last):
  File "/usr/bin/add-apt-repository", line 167, in <module>
    sp = SoftwareProperties(options=options)
  File "/usr/lib/python3/dist-packages/softwareproperties/SoftwareProperties.py", line 105, in __init__
    self.reload_sourceslist()
  File "/usr/lib/python3/dist-packages/softwareproperties/SoftwareProperties.py", line 595, in reload_sourceslist
    self.distro.get_sources(self.sourceslist)   
  File "/usr/lib/python3/dist-packages/aptsources/distro.py", line 89, in get_sources
    (self.id, self.codename))
aptsources.distro.NoDistroTemplateException: Error: could not find a distribution template for BunsenLabs/Hydrogen

is this a specific problem from pd-extended, not having a template for the distro? or something else? thanks! smile

It's a problem of the {gtk,kde}-software-properties Python program not having a template for a distro called 'BunsenLabs' but only 'Debian' or 'Ubuntu'. If you want to continue using the programs from that family (it's Ubuntu software, blame them), see here for the solution.

Offline

#9 2015-10-25 16:57:02

nobody0
Disabled account
Registered: 2015-09-29
Posts: 664

Re: installing pd-extended in bunsen labs fails

twoion wrote:

It's a problem of the {gtk,kde}-software-properties Python program not having a template for a distro called 'BunsenLabs' but only 'Debian' or 'Ubuntu'. If you want to continue using the programs from that family (it's Ubuntu software, blame them), see here for the solution.

Where might this template is?

Offline

#10 2015-12-02 10:05:51

kalimerox
Member
Registered: 2015-10-02
Posts: 19

Re: installing pd-extended in bunsen labs fails

just a little update on this, finally i managed to install pd-l2ork, which is a special and more stable version of pd-extended following these steps here

http://l2ork.music.vt.edu/main/make-you … /software/

it s compiled for ubuntu but works stable and smooth -- smile

Offline

#11 2015-12-02 11:00:59

twoion
一期一会
Registered: 2015-08-10
Posts: 3,399

Re: installing pd-extended in bunsen labs fails

Good to hear! Is this topic [solved] then?

Offline

Board footer

Powered by FluxBB